using AutoMapper;
using DigitalData.UserManager.Application.DTOs.User;
using System.DirectoryServices.AccountManagement;

namespace DigitalData.UserManager.Application.MappingProfiles
{
    public class DirectoryMappingProfile : Profile
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Interoperability", "CA1416:Validate platform compatibility", Justification = "<Pending>")]
        public DirectoryMappingProfile()
        {
            CreateMap<UserPrincipal, UserPrincipalDto>();
            CreateMap<UserPrincipal, UserPrincipalReadDto>();
        }
    }
}